geos::algorithm::construct::ExactMaxInscribedCircle Class Reference

`#include <ExactMaxInscribedCircle.h>`

## Static Public Member Functions

static bool | isSupported (const geom::Geometry *geom)
static std::pair< CoordinateXY, CoordinateXY > | computeRadius (const Polygon *polygon)

## Detailed Description

Computes the Maximum Inscribed Circle for some kinds of convex polygons. It determines the circle center point by computing Voronoi node points and testing them for distance to generating edges. This is more precise than iterated approximation, and faster for small polygons (such as triangles and convex quadrilaterals).

Author
  Martin Davis

## Member Function Documentation

## isSupported()

bool geos::algorithm::construct::ExactMaxInscribedCircle::isSupported | ( | const geom::Geometry * | geom | ) |

static

Tests whether a given geometry is supported by this class. Currently only triangles and convex quadrilaterals are supported.

Parameters

  geom | an areal geometry

Returns
  true if the geometry shape can be evaluated

The documentation for this class was generated from the following file:

- ExactMaxInscribedCircle.h